<?php
/**
 * GBS Unique Theme Customizer.
 *
 * @package gbs-unique
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function gbs_unique_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

}
add_action( 'customize_register', 'gbs_unique_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function gbs_unique_customize_preview_js() {
	wp_enqueue_script( 'gbs_unique_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'gbs_unique_customize_preview_js' );



function gbs_unique_css(){
	$header_image = get_theme_mod('header_image');
		if( is_file($header_image) && getimagesize($header_image)){
		$header_css = 'url('.$header_image.' );background-position:center;background-repeat:repeat;';
		}else{
		$header_css = "#8D0000;";
		}
		?>

       <style>
		
        .site-header{background: <?php echo esc_attr($header_css); ?>}

		</style>

	<?php } 

add_action('wp_head','gbs_unique_css');