<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package gbs-unique
 */

?>

<div class="col-md-12 col-sm-12 col-xs-12">
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="blog-container">
        <header class="entry-header">
            <?php
            if ( is_single() ) :
                the_title( '<h1 class="entry-title">', '</h1>' );
            else :
                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
            endif;
    
            if ( 'post' === get_post_type() ) : ?>
            <div class="entry-meta">
                <?php gbs_unique_posted_on(); ?>
            </div><!-- .entry-meta -->
            <?php
            endif; ?>
        </header><!-- .entry-header -->
    
        <div class="entry-content">
        
        <?php if ( has_post_thumbnail() ) : ?>
        <div class="article-image">
            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                <?php the_post_thumbnail('full'); ?>
            </a>
        </div>
        <?php else : ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/default-250x200.jpg" /></a>
        <?php endif; ?>
        
         <div class="article-desc"><?php the_content();?></div>
        </div><!-- .entry-content -->
    
        <footer class="entry-footer">
            <?php gbs_unique_entry_footer(); ?>
        </footer><!-- .entry-footer -->
    </div><!-- .blog-container -->
    </article><!-- #post-## -->
</div><!----col------->